Subject: bug#8856: 24.0.50; regression: special-display-frame is no longer dedicated

From: martin rudalics <[email-masked]>
Date: Fri, 24 Jun 2011 10:53:21 +0200

> I checked again, and the same test as before, with throw-three.el, does NOT
 > work, i.e., the bug is still manifested.  I tested again with both the window.el
 > you sent yesterday and with the latest window.el you sent.  Both have the same
 > problem.
 >
 > runemacs.exe -Q --debug-init -l "window-2011-06-21a-MARTIN.el" -l
 > "throw-three.el" -f "1on1-emacs"
 >
 > runemacs.exe -Q --debug-init -l "window-2011-06-23a-MARTIN.el" -l
 > "throw-three.el" -f "1on1-emacs"
 >
 > Same recipe: M-x f TAB o
 >
 > When I hit the second char (`o') I get the read-only error for *Completions*.

Note that apart from the

(load-file "c:/drews-lisp-20/hexrgb.el")
(load-file "c:/drews-lisp-20/fit-frame.el")

the throw-three.el you sent me contains

(load-file "c:/drews-lisp-20/window-2011-06-21a-MARTIN.el")

which contains the old definitions which don't work in your case.  I
removed all three lines in my version.

Apart from that I can see the following:

If I do -f "1on1-emacs" from the command line I see the "bad" behavior.
But I see the same behavior if I do -f "1on1-emacs" with an old Emacs
that does NOT contain my changes.  In both cases the *Completions* frame
is selected.  So please verify that this invocation DTRT with an old
Emacs of yours.

If I omit -f "1on1-emacs" from the command line and evaluate the
expression (1on1-emacs) after my initial frame appeared I don't see the
bad behavior.

Please clarify these issues.

Thanks, martin.